跳转到主要内容
资源中心/网络资源/策略路由相关接口
POSTPolicy Routing Operations起始版本 3.6.0同步需要认证

创建策略路由表

创建策略路由表

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

请求参数

请求体字段

  • paramsObject必填

    请求体参数结构

    • vRouterUuidString必填

      路由器uuid

    • numberInteger必填

      表名

    • descriptionString

      资源的详细描述

    • resourceUuidString

      资源UUID。若指定,资源会使用该字段值作为UUID。

    • tagUuidsList

      标签UUID列表

  • systemTagsList

    系统标签。

  • userTagsList

    用户标签。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoryPolicyRouteTableInventory必填

    详情参考inventory

    • uuidString必填

      资源的UUID,唯一标示该资源

    • tableNumberint必填

      表名

    • descriptionString必填

      资源的详细描述

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

    • routesList必填

      详情参考routes

      • uuidString必填

        资源的UUID,唯一标示该资源

      • tableUuidString必填

        策略路由表uuid

      • destinationCidrString必填

        目标cidr

      • nextHopIpString必填

        下一跳ip

      • distanceint必填

        优先级

      • createDateTimestamp必填

        创建时间

      • lastOpDateTimestamp必填

        最后一次修改时间

请求地址

POST/zstack/v1/policy-routes/tables

/zstack/v1/policy-routes/tables

操作 ID

CreatePolicyRouteTable

永久链接

请求示例

curl -X POST 'http://{host}/zstack/v1/policy-routes/tables' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"vRouterUuid":"<vRouterUuid>","number":1,"description":"<description>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

响应示例

200
{ "inventory": { "uuid": "8bd52616389d3ce7b5d74bc2424d3f8d", "tableNumber": 1.0, "description": "example-des", "routes": [ { "tableUuid": "2a7ba1261cef3cf19b587e493e479286", "destinationCidr": "192.168.1.0/24", "nextHopIp": "192.168.1.1", "distance": 1.0 } ] } }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史